Subject: RE: Advice on Potatoes

From: [email-masked] (Barbara R. Baylis)
Date: Fri, 25 Mar 1994 21:49:59 GMT

In regards to keeping the skin on potatoes, everything I have read, and all 
the good biochemists I have heard say peel your potatoes and carrots and other
typically peeled veggies.  Even with organic veggies, the ground is still
polluted enough to warrant peeling.  At the very least, scrub these underground
grown veggies as much as your impatient/starving self can.  You can look at it
in 2 ways 1)peel 'em and recognize that you are getting sufficient nutrients
by eating lots of veggies and being a vegetarian or 2)what's a little toxin
compared to smog, polluted municipal water, and aluminum in anti-perspirant!

Have a nice day!